CxfMessageAdapter (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.cxf.CxfMessageAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.cxf
Class CxfMessageAdapter

    java.lang.Object
      org.mule.transport.AbstractMessageAdapter
          org.mule.transport.cxf.CxfMessageAdapter

All Implemented Interfaces:
  Serializable, ThreadSafeAccess, MessageAdapter

    public class CxfMessageAdapter

extends AbstractMessageAdapter

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.mule.api.ThreadSafeAccess
`ThreadSafeAccess.AccessControl`

Field Summary

Fields inherited from class org.mule.transport.AbstractMessageAdapter
`attachments, exceptionPayload, id, logger, properties`

Fields inherited from interface org.mule.api.ThreadSafeAccess
`READ, WRITE`

Constructor Summary
`CxfMessageAdapter(MessageAdapter msg)`

Method Summary
`void` | `addAttachment(String name, DataHandler dataHandler)` Allows for arbitary data attachments to be associated with the Message.
`protected Collection<org.apache.cxf.message.Attachment>` | `getAttachments()`
`Object` | `getPayload()`
`void` | `removeAttachment(String name)` Remove an attahcment form this message with the specifed name
`void` | `setPayload(org.apache.cxf.message.Message message)`

Methods inherited from class org.mule.transport.AbstractMessageAdapter
`addInboundProperties, addProperties, addProperties, assertAccess, clearProperties, getAttachment, getAttachmentNames, getBooleanProperty, getCorrelationGroupSize, getCorrelationId, getCorrelationSequence, getDoubleProperty, getEncoding, getExceptionPayload, getIntProperty, getLongProperty, getProperty, getProperty, getProperty, getPropertyNames, getPropertyNames, getReplyTo, getStringProperty, getUniqueId, isDisabled, newException, newThreadCopy, release, removeProperty, resetAccessControl, setBooleanProperty, setCorrelationGroupSize, setCorrelationId, setCorrelationSequence, setDoubleProperty, setEncoding, setExceptionPayload, setIntProperty, setLongProperty, setProperty, setProperty, setReplyTo, setStringProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CxfMessageAdapter

    public CxfMessageAdapter(MessageAdapter msg)
                      throws MuleException

Throws:
  `MuleException`

Method Detail

### setPayload

    public void setPayload(org.apache.cxf.message.Message message)

### getPayload

    public Object getPayload()

  Returns:
    the current payload

### addAttachment

    public void addAttachment(String name,
                              DataHandler dataHandler)
                       throws Exception

  Description copied from class: `AbstractMessageAdapter`
  Allows for arbitary data attachments to be associated with the Message. These attachements work in the same way that email attachments work. Attachments can be binary or text

  Specified by:
    `addAttachment` in interface `MessageAdapter`
  Overrides:
    `addAttachment` in class `AbstractMessageAdapter`
  Parameters:
    `name` - the name to associate with the attachment
    `dataHandler` - The attachment datahandler to use. This will be used to interract with the attachment data
  Throws:
    `Exception`
  See Also:
    `DataHandler`

### removeAttachment

    public void removeAttachment(String name)
                          throws Exception

  Description copied from class: `AbstractMessageAdapter`
  Remove an attahcment form this message with the specifed name

  Specified by:
    `removeAttachment` in interface `MessageAdapter`
  Overrides:
    `removeAttachment` in class `AbstractMessageAdapter`
  Parameters:
    `name` - the name of the attachment to remove. If the attachment does not exist, the request may be ignorred
  Throws:
    `Exception` - different messaging systems handle attachments differnetly, as such some will throw an exception if an attahcment does dot exist.

### getAttachments

    protected Collection<org.apache.cxf.message.Attachment> getAttachments()
                                                                    throws MuleException

  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.